Debian Bug report logs - #307425
html2text: doesn't work with named vhosts

version graph

Package: html2text; Maintainer for html2text is Holger Levsen <holger@debian.org>; Source for html2text is src:html2text.

Reported by: Branden Robinson <branden@debian.org>

Date: Mon, 2 May 2005 23:18:01 UTC

Severity: normal

Tags: wontfix

Found in version 1.3.2a-1

Fixed in versions html2text/1.3.2a-9, html2text/1.3.2a-10

Done: jackyf.devel@gmail.com (Eugene V. Lyubimkin)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adrian Bridgett <bridgett@debian.org>:
Bug#307425; Package html2text. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
New Bug report received and forwarded. Copy sent to Adrian Bridgett <bridgett@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: html2text: doesn't work with named vhosts
Date: Mon, 02 May 2005 18:04:44 -0500
Package: html2text
Version: 1.3.2a-1
Severity: normal

This fails with a "not found" error:

html2text http://people.debian.org/~branden/dpl/reports/2005-04-24.html

These don't:

lynx http://people.debian.org/~branden/dpl/reports/2005-04-24.html
w3m http://people.debian.org/~branden/dpl/reports/2005-04-24.html

Clint Adams tells me this is because html2text doesn't support named vhosts.

He also says html2text needs to generate HTTP 1.1 GET requests.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: powerpc (ppc)
Kernel: Linux 2.6.9-powerpc-smp
Locale: LANG=C, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages html2text depends on:
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libgcc1                     1:3.4.3-12   GCC support library
ii  libstdc++5                  1:3.3.5-12   The GNU Standard C++ Library v3

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Adrian Bridgett <bridgett@debian.org>:
Bug#307425; Package html2text. Full text and rfc822 format available.

Acknowledgement sent to adrian@smop.co.uk:
Extra info received and forwarded to list. Copy sent to Adrian Bridgett <bridgett@debian.org>. Full text and rfc822 format available.

Message #10 received at 307425@bugs.debian.org (full text, mbox):

From: Adrian Bridgett <adrian@smop.co.uk>
To: Branden Robinson <branden@debian.org>, 307425@bugs.debian.org
Subject: Re: Bug#307425: html2text: doesn't work with named vhosts
Date: Fri, 6 May 2005 20:59:45 +0100
On Mon, May  2, 2005 at 18:04:44 -0500 (-0500), Branden Robinson wrote:
> Clint Adams tells me this is because html2text doesn't support named vhosts.
> 
> He also says html2text needs to generate HTTP 1.1 GET requests.

This reply is partly a "memo to self".  There are several things that need
doing for this:

a) change the "GET ...\r\n" request into
   "GET ... HTTP/1.1\r\nHost: ...\r\n\r\n"
b) bin (or better, check) the headers which will now be returned
c) as part of HTTP/1.1 you _must_ implement chunked message decoding.
   As far as the internals of html2text go this ain't easy, IIRC it reads a
   file descriptor (which maybe from a socket - i.e. website, or a real file).

Adrian
-- 
Email: adrian@smop.co.uk
Windows NT - Unix in beta-testing. GPG/PGP keys available on public key servers
Debian GNU/Linux  -*-  By professionals for professionals  -*-  www.debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Adrian Bridgett <bridgett@debian.org>:
Bug#307425; Package html2text. Full text and rfc822 format available.

Acknowledgement sent to "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>:
Extra info received and forwarded to list. Copy sent to Adrian Bridgett <bridgett@debian.org>. Full text and rfc822 format available.

Message #15 received at 307425@bugs.debian.org (full text, mbox):

From: "Eugene V. Lyubimkin" <jackyf.devel@gmail.com>
To: control@bugs.debian.org, 307425@bugs.debian.org, 307425-submitter@bugs.debian.org
Subject: It is not the task of html2text.
Date: Sun, 20 Jul 2008 23:16:25 +0300
[Message part 1 (text/plain, inline)]
package html2text
tags 307425 +wontfix
thanks

Task of html2text - convert HTML to text, not implement HTTP protocol.
Use wget or curl, then html2text through pipe, for example:

curl -s http://www.server.com/aaa/bbb/ccc.html | html2text

-- 
Eugene V. Lyubimkin aka JackYF, Ukrainian C++ developer.

[signature.asc (application/pgp-signature, attachment)]

Tags added: wontfix Request was from "Eugene V. Lyubimkin" <jackyf.devel@gmail.com> to control@bugs.debian.org. (Sun, 20 Jul 2008 20:24:02 GMT) Full text and rfc822 format available.

Message sent on to Branden Robinson <branden@debian.org>:
Bug#307425. Full text and rfc822 format available.

Tags added: pending Request was from jackyf.devel@gmail.com to control@bugs.debian.org. (Sat, 13 Sep 2008 16:09:02 GMT) Full text and rfc822 format available.

Reply sent to jackyf.devel@gmail.com (Eugene V. Lyubimkin):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 307425-close@bugs.debian.org (full text, mbox):

From: jackyf.devel@gmail.com (Eugene V. Lyubimkin)
To: 307425-close@bugs.debian.org
Subject: Bug#307425: fixed in html2text 1.3.2a-9
Date: Sun, 14 Sep 2008 10:47:03 +0000
Source: html2text
Source-Version: 1.3.2a-9

We believe that the bug you reported is fixed in the latest version of
html2text, which is due to be installed in the Debian FTP archive:

html2text_1.3.2a-9.diff.gz
  to pool/main/h/html2text/html2text_1.3.2a-9.diff.gz
html2text_1.3.2a-9.dsc
  to pool/main/h/html2text/html2text_1.3.2a-9.dsc
html2text_1.3.2a-9_amd64.deb
  to pool/main/h/html2text/html2text_1.3.2a-9_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 307425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene V. Lyubimkin <jackyf.devel@gmail.com> (supplier of updated html2text package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 07 Sep 2008 11:12:35 +0300
Source: html2text
Binary: html2text
Architecture: source amd64
Version: 1.3.2a-9
Distribution: experimental
Urgency: low
Maintainer: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Changed-By: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Description: 
 html2text  - advanced HTML to text converter
Closes: 285378 307425 496226
Changes: 
 html2text (1.3.2a-9) experimental; urgency=low
 .
   The "grepping binary device for patch parts" release.
   * debian/patches:
     - Refreshed all patches.
     - Add comments to all patches.
     - New patch 400-remove-builtin-http-support.patch: remove limited built-in
       http support. "Wontfix" bugs related to http support are closed thus.
       (Closes: #307425, #285378)
     - New patch 600-multiple-meta-tags.patch: recognize all 'meta' tags, not
       one. Thanks to Dmirty E. Oboukhov for the patch. Thanks to
       Stanislav Maslovski <stanislav.maslovski@gmail.com> for the help in bison
       patching.
     - New patch 611-recognize-input-encoding.patch: recode input according to
       'meta' tag. Thanks to Dmirty E. Oboukhov for the idea of patch.
       (Closes: #496226)
   * debian/html2text.1:
     - Mentioned new '-nometa' option.
     - Updated descriptions of '-utf8' and '-ascii' options.
     - Mentioned that Debian version of html2text has no http support.
     - Updated author's mail and download page.
   * debian/README.Debian:
     - Updated HTTP section, wrote META HTTP-EQUIV section.
Checksums-Sha1: 
 6c7ad448c4d2a8917fd247d83ecd9afa077a9082 1037 html2text_1.3.2a-9.dsc
 4d72e2e1af6088f07881d539cbd923c9b2a47395 24358 html2text_1.3.2a-9.diff.gz
 4d4eb1a815a4819bd6a5f4754b4714026f1a9826 100096 html2text_1.3.2a-9_amd64.deb
Checksums-Sha256: 
 042a0bb25e2a4121abda5b3465be1e06d416b87a0b8e8c1a11a41b59db1fb844 1037 html2text_1.3.2a-9.dsc
 38c22b233f01dacf7601b774ccd1fea7c91eb9203cfc742f7f9abf5a28e4ac40 24358 html2text_1.3.2a-9.diff.gz
 06dd95853b6edc3dad041d1adefdbbaa493ed6f9bfcc6b4269e5f007107409bf 100096 html2text_1.3.2a-9_amd64.deb
Files: 
 35439190e784388ec3d6cb396ca531f5 1037 web optional html2text_1.3.2a-9.dsc
 35ba538b0993ec9161560242ec1bc8e3 24358 web optional html2text_1.3.2a-9.diff.gz
 f216aebaf249623b6da246babcb4171c 100096 web optional html2text_1.3.2a-9_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjM6Y4ACgkQKFvXofIqeU7GAACgwXt5HcGFk4wzMAWDWHsuwF87
eKYAoL9qSvxS4aT/ULznBbxEv5dDFiAy
=RsXf
-----END PGP SIGNATURE-----





Reply sent to jackyf.devel@gmail.com (Eugene V. Lyubimkin):
You have taken responsibility. (Fri, 03 Oct 2008 13:00:11 GMT) Full text and rfc822 format available.

Notification sent to Branden Robinson <branden@debian.org>:
Bug acknowledged by developer. (Fri, 03 Oct 2008 13:00:12 GMT) Full text and rfc822 format available.

Message #32 received at 307425-close@bugs.debian.org (full text, mbox):

From: jackyf.devel@gmail.com (Eugene V. Lyubimkin)
To: 307425-close@bugs.debian.org
Subject: Bug#307425: fixed in html2text 1.3.2a-10
Date: Fri, 03 Oct 2008 12:47:03 +0000
Source: html2text
Source-Version: 1.3.2a-10

We believe that the bug you reported is fixed in the latest version of
html2text, which is due to be installed in the Debian FTP archive:

html2text_1.3.2a-10.diff.gz
  to pool/main/h/html2text/html2text_1.3.2a-10.diff.gz
html2text_1.3.2a-10.dsc
  to pool/main/h/html2text/html2text_1.3.2a-10.dsc
html2text_1.3.2a-10_i386.deb
  to pool/main/h/html2text/html2text_1.3.2a-10_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 307425@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Eugene V. Lyubimkin <jackyf.devel@gmail.com> (supplier of updated html2text package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 20 Sep 2008 14:10:09 +0300
Source: html2text
Binary: html2text
Architecture: source i386
Version: 1.3.2a-10
Distribution: experimental
Urgency: low
Maintainer: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Changed-By: Eugene V. Lyubimkin <jackyf.devel@gmail.com>
Description: 
 html2text  - advanced HTML to text converter
Closes: 285378 307425 496226 498797
Changes: 
 html2text (1.3.2a-10) experimental; urgency=low
 .
   * debian/rules:
     - Really install NEWS.Debian as documentation.
   * debian/patches:
     - 220-nobs-when-stdout-is-a-tty.patch: deleted, useless now, since
       backspaces are not produced at all.
     - 400-remove-builtin-http-support.patch: refreshed.
     - 500-utf8-support.patch: refreshed.
     - 510-utf8-implies-nobs.patch: deleted, useless now.
     - New 510-disable-backspaces.patch: disable backspaces because parser
       cannot produce them rightly in multi-byte sequences now.
     - 611-recognize-input-encoding.patch:
       - Corrected to don't produce error if '-nometa' option was not supplied
         and input html doesn't contain valid 'meta http-equiv' tag.
       - Corrected to don't display debug info twicely (if -debug-parser or
         -debug-scanner was supplied).
       - Corrected: now parser always processes UTF-8 text, needed for proper
         output recoding.
       - Moved recoding code to separate function.
       - Close input stream directly after read, not after the processing.
       - Correctly mark the end of converted sequence.
     - New 630-recode-output-to-locale-charset.patch: convert output to current
       locale charset. (Closes: #498797)
     - 300-replace-zeroes-with-null.patch: renamed to
       800-replace-zeroes-with-null.patch.
     - New 810-fix-deprecated-conversion-warnings.patch: fix 'deprecated
       conversion from string constant to ‘char*’' warnings during build by
       supplying 'const' qualifier in needed places.
   * debian/README.Debian:
     - Renamed 'META HTTP-EQUIV' section to 'Input recoding'.
     - Added correct input encoding cases to 'Input recoding' section.
     - Added 'Backspaces' section.
     - Added 'Output recoding' section.
   * debian/html2text.1:
     - Mentioned that Debian version of html2text doesn't produce backspaces,
       so '-nobs' does nothing.
     - Added paragraph about input/output recoding.
   * debian/NEWS.Debian:
     - Corrected news for 1.3.2a-9.
   * debian/control:
     - Renewed long description.
   [unera]
   * debian/changelog:
     - fixed incorrect changelog record 1.3.2a-9 (Thanks for Stanislav
       Maslovski <stanislav.maslovski@gmail.com> for the
       600-multiple-meta-tags.patch :)).
 .
 html2text (1.3.2a-9) experimental; urgency=low
 .
   The "grepping binary device for patch parts" release.
   * debian/patches:
     - Refreshed all patches.
     - Add comments to all patches.
     - New patch 400-remove-builtin-http-support.patch: remove limited built-in
       http support. "Wontfix" bugs related to http support are closed thus.
       (Closes: #307425, #285378)
     - New patch 600-multiple-meta-tags.patch: recognize all 'meta' tags, not
       one. Thanks to Stanislav Maslovski <stanislav.maslovski@gmail.com> for
       the patch, thanks to Dmitry E. Oboukhov for the idea of patch.
     - New patch 611-recognize-input-encoding.patch: recode input according to
       'meta' tag. Thanks to Dmirty E. Oboukhov for the idea of patch.
       (Closes: #496226)
   * debian/html2text.1:
     - Mentioned new '-nometa' option.
     - Updated descriptions of '-utf8' and '-ascii' options.
     - Mentioned that Debian version of html2text has no http support.
     - Updated author's mail and download page.
   * debian/README.Debian:
     - Updated HTTP section, wrote META HTTP-EQUIV section.
Checksums-Sha1: 
 b2f86e2c6de48dbb33fd8ef1c4bc57e7ad3db209 1033 html2text_1.3.2a-10.dsc
 6b916eee26412677e814d6240b82354c7d265889 27387 html2text_1.3.2a-10.diff.gz
 ba895bdab623c68842ae74c575290f3e14b868f5 97532 html2text_1.3.2a-10_i386.deb
Checksums-Sha256: 
 9de781984b64445d96686ac95bc2e8dbae1e5745aef8714b428c9034f8d65e88 1033 html2text_1.3.2a-10.dsc
 dee337dbafa0b79eff59b215e5727696d444bd524c8f990b8417be818e4296e7 27387 html2text_1.3.2a-10.diff.gz
 314c924bc21be146af89f6764243310d1b25f5b6e99f587c6363a3e9feac6891 97532 html2text_1.3.2a-10_i386.deb
Files: 
 338106f0781fa56e59a8b2b0d054326c 1033 web optional html2text_1.3.2a-10.dsc
 1f93477ccdee23a16733dc0b611b8553 27387 web optional html2text_1.3.2a-10.diff.gz
 b06963d527ecbc741aade80115b1a3f9 97532 web optional html2text_1.3.2a-10_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFI5g+Qq4wAz/jiZTcRAn99AKDJ824+P0f7AMnG70zZa5zWk9OUbQCgt9Pn
So82b7Io7lR+JK47K9Ahj6o=
=R0Tp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Mar 2009 07:27:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:25:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.